Subject: bug#46061: 28.0.50; error "‘'postgres’ is not a known product

From: Rudolf Schlatte <[email-masked]>
Date: Tue, 16 Mar 2021 09:53:31 +0100

Lars Ingebrigtsen <[email-masked]> writes:

> Jean Louis <[email-masked]> writes:
>
>>> What's the value of the `sql-connection-alist' variable in the SQL buffer?
>>
>> (("local" (sql-product 'postgres) (sql-user "username") (sql-password
>> "password") (sql-database "mydatabase")))
>>
>> This problem does not appear always and I cannot reproduce it.

Just a wild guess, but is there a misplaced quote in `(sql-product
'postgres)', i.e., should it be `(sql-product postgres)' instead?

(Please feel free to ignore this mail if that's not the case.)